using System;

namespace vage
{
    public struct vaga
    {
        public int pocetak;
        public int kraj;
    }
    public struct pitanja
    {
        public int pocind;
        public int krajind;
        public int tezina;
    }
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] prvi = Console.ReadLine().Split();
            int vagebr = int.Parse(prvi[0]);
            int pitanjabr = int.Parse(prvi[1]);
            int[] niz=new int[pitanjabr];
            vaga[] vage=new vaga[vagebr];
            pitanja[] pitanja=new pitanja[pitanjabr];
            int br = 0;
            for (int i = 0; i < vagebr; i++)
            {
                prvi = Console.ReadLine().Split();
                vage[i].pocetak=int.Parse(prvi[0]);
                vage[i].kraj = int.Parse(prvi[1]);
            }
            for (int i = 0; i < pitanjabr; i++)
            {
                prvi = Console.ReadLine().Split();
                pitanja[i].pocind = int.Parse(prvi[0]);
                pitanja[i].krajind = int.Parse(prvi[1]);
                pitanja[i].tezina = int.Parse(prvi[2]);
                for (int j = pitanja[i].pocind-1; j < pitanja[i].krajind; j++)
                {     
                    if (vage[j].pocetak <= pitanja[i].tezina && vage[j].kraj >= pitanja[i].tezina)
                    {
                    br++;
                    }
                }
                niz[i]=br;
                br = 0;
            }
            for (int i = 0; i < niz.Length; i++)
            {
            Console.WriteLine(niz[i]);
            }

        }
    }
}